function item123()
  id = player.GetTargetNpc()
  p = flag.GetBattleValue(11001)      --上次选择怪物ID

  if p~=id then
    n=0
    flag.SetBattleValue(11002,n)
--    global.Print("~=")
  else
	n = flag.GetBattleValue(11002)
--    global.Print("==")
  end
  
--  global.Print(flag.GetBattleValue(11002))
  
    flag.SetBattleValue(11001,id)
	if n>=0 and n<=2 then
	   npc.ChangeHP(0,0,id,-1000)
	   n=n+1
	   flag.SetBattleValue(11002,n)
	elseif n>=3 and n<=4 then
       npc.ChangeHP(0,0,id,-1500)
       n=n+1
	   flag.SetBattleValue(11002,n)
	elseif n>=5 and n<=6 then
	   npc.ChangeHP(0,0,id,-2000)
	   n=n+1
	   flag.SetBattleValue(11002,n)
	elseif n==7 then
	   npc.ChangeHP(0,0,id,-3000)
	   n=n+1
	   flag.SetBattleValue(11002,n)
	elseif n>=8 and n<=9 then
	   npc.ChangeHP(0,0,id,-5000)
	   n=n+1
	   flag.SetBattleValue(11002,n)
	elseif n==10 then
	   npc.ChangeHP(0,0,id,-10000)
	   n=n+1
	   flag.SetBattleValue(11002,n)
	elseif n==11 then
	   npc.ChangeHP(0,0,id,-15000)
	   m = battle.GetRndNumber(1,3)
	   if m==1 then
	      npc.AddStat(0,id,200,5,4)     --昏睡
       elseif m==2 then
	      npc.AddStat(0,id,200,3,4)     --脱力
	   elseif m==3 then
	      npc.AddStat(0,id,200,7,4)     --麻痹
	   end
	   flag.SetBattleValue(11002,0)
	end
	
end
